<template>
  <el-select
    v-model="selected"
    v-bind="$attrs"
    :loading="loading"
    @change="change"
  >
    <el-option
      v-for="item in options"
      :key="item.id"
      :label="item.name"
      :value="item.id"
    >
      <el-row :gutter="20">
        <el-col :span="12">{{ item.name }}</el-col>
        <el-col :span="12" class="text-right">{{ item.remainderStorageQty }}</el-col>
      </el-row>
    </el-option>
  </el-select>

</template>

<script>
import { getStockLocationPage } from '@/api/wms/base/stockLocation'

export default {
  props: {
    value: {
      type: [String, Number],
      default: ''
    }
  },
  data() {
    return {
      options: [],
      loading: false
    }
  },
  computed: {
    selected: {
      get() {
        return this.value
      },
      set(v) {
        this.$emit('input', v)
      }
    }
  },
  methods: {
    fetchLocationList(wmsStockAreaId) {
      this.loading = true
      const params = {
        pageNo: 1,
        pageSize: 100,
        wmsStockAreaId
      }
      getStockLocationPage(params).then(res => {
        const { list = [] } = res.data || {}
        this.options = list
      }).finally(() => {
        this.loading = false
      })
    },
    change(v) {
      const item = this.options.find(i => i.id === v)
      this.$emit('change', item)
    }
  }
}
</script>

    <style>
    </style>

